MACRO BOOST_P(3)

NAME
BOOST_PROTO_A_const_ref_a - Generates sequences like A0 const & a0, A1 const & a1, ... AN-1 const & aN-1 .

SYNOPSIS

// In header: <boost/proto/repeat.hpp>
BOOST_PROTO_A_const_ref_a(N)

DESCRIPTION

Intended for use with the BOOST_PROTO_REPEAT() and BOOST_PROTO_LOCAL_ITERATE() macros.

BOOST_PROTO_A_const_ref_a(N) generates sequences like:

    A0 const & a0, A1 const & a1, ... AN-1 const & aN-1